# -*- coding: utf-8 -*-

from . import db
from datetime import datetime
from .base import BaseModel, PrimaryModel

class AreaModel(db.Model):
    __tablename__ = 'qj_area'
    areaId = db.Column(db.Integer, primary_key = True, autoincrement = True)
    areaCode = db.Column(db.String(20), index = True)
    areaName = db.Column(db.String(20), index = True)
    level = db.Column(db.SmallInteger, index = True, default = 0)
    cityCode = db.Column(db.String(20))
    center = db.Column(db.String(50))
    parentId = db.Column(db.Integer, index = True)
    hasChildren = db.Column(db.Boolean)
    create_date = db.Column(db.DateTime, default=datetime.now)
    create_by = db.Column(db.String(64))
    update_date = db.Column(db.DateTime, default=datetime.now, onupdate=datetime.now)
    update_by = db.Column(db.String(64))
    sort = db.Column(db.Integer)
    del_flag = db.Column(db.Boolean)

    # __table_args__ = (
    #     db.Index('idx_areaName', 'areaName', mysql_using='btree'),
    #     db.Index('idx_areaCode', 'areaCode', mysql_using='btree'),
    #     db.Index('idx_parentId', 'parentId', mysql_using='btree'),
    #     db.Index('idx_level', 'level', mysql_using='btree')
    # )

    def __init__(self, areaCode, areaName, cityCode, center, create_date, update_date, level = 0, parentId = 0, hasChildren = 0, create_by = None, update_by = None, sort = 0, del_flag = 0):
        self.areaCode = areaCode
        self.areaName = areaName
        self.level = level
        self.cityCode = cityCode
        self.center = center
        self.parentId = parentId
        self.hasChildren = hasChildren
        self.create_date = create_date
        self.create_by = create_by
        self.update_date = update_date
        self.update_by = update_by
        self.sort = sort
        self.del_flag = del_flag

    def __repr__(self):
        return '<Area %r>' % (self.areaId)
